<script type="text/C#" language="c#" runat= "server">
    //页面开始执行
    private void Page_Load(object sender, System.EventArgs e) 
    {
        //判断是否已安装
        if (System.IO.Directory.Exists(EoyooCMS.Common.Utils.getRootPath() + "Install/"))
        {
            Response.Redirect("/install/default.aspx");
        }

        //判断使用后缀执行URL跳转
        switch (EoyooCMS.CoreCalls.GetSiteConfig.siteConfigSuffix.ToString())
        {
            case "none":
                Response.Redirect("/default/");
                break;
            case "htm":
                Response.Redirect("/default.htm");
                break;
            case "html":
                Response.Redirect("/default.html");
                break;
            case "shtm":
                Response.Redirect("/default.shtm");
                break;
            case "shtml":
                Response.Redirect("/default.shtml");
                break;
        }
    } 
</script>